<script setup lang="ts">
import { computed, nextTick, onMounted, ref } from 'vue'

import type { VForm } from 'vuetify/components'
import type { Employee } from '../types/Employee'
import TableLayout from '@/layouts/TableLayout.vue'
import { useEmployeeStore } from '../stores/employee'
import EmployeeDialog from '@/views/employee/components/EmployeeDialog.vue'
import SearchTableField from '@/components/SearchTableField.vue'
import CheckAttendence from '../components/CheckAttendance.vue'
const employeeStore = useEmployeeStore()

const searchText = ref()

onMounted(async () => {
  await employeeStore.getAll()
})

function handleSearchText(value: string) {
  searchText.value = value
}
</script>

<template>
  <EmployeeDialog></EmployeeDialog>
  <CheckAttendence></CheckAttendence>
  <!-- :search="search" -->
  <TableLayout
    title="Employee Management"
    has-action
    :items="employeeStore.items"
    :headers="employeeStore.headers"
    :search="searchText"
    customColumnName="image"
  >
    <template #image="{ item }">
      <v-img
        :src="'http://localhost:3000/images/employees/' + item.image"
        width="100"
        height="100"
      ></v-img>
    </template>
    <template #topCardText>
      <v-row>
        <v-col cols="6">
          <SearchTableField @get-search-text="handleSearchText" />
        </v-col>
        <v-col cols="3">
          <v-btn color="#FFD180" rounded="xl" class="w-100" @click="employeeStore.openDialogCheck()"
            >CheckAttendence</v-btn
          >
        </v-col>
        <v-col cols="3">
          <v-btn
            prepend-icon="mdi-plus"
            color="#FFD180"
            rounded="xl"
            class="w-100"
            @click="employeeStore.openDialog()"
            >New</v-btn
          >
        </v-col>
      </v-row>
    </template>
    <template #actions="{ item }">
      <v-icon size="small" class="me-2" @click="employeeStore.editItem(item)"> mdi-pencil </v-icon>
      <v-icon size="small" @click="employeeStore.deleteItem(item)"> mdi-delete </v-icon>
    </template>
  </TableLayout>
</template>

<style scoped></style>
